Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.xmlbuilder
Class XMLNode

    java.lang.Object
      com.ejie.r01f.xmlbuilder.XMLNode

All Implemented Interfaces:
  java.io.Serializable

public class XMLNode
extends java.lang.Object
implements java.io.Serializable

Modela un nodo XML

See Also:
  Serialized Form

Constructor Summary
`XMLNode()` Creates new Node
`XMLNode(boolean newIsCDATA)`
`XMLNode(java.lang.String newNodeName)`
`XMLNode(java.lang.String newNodeName, boolean newIsCDATA)`
`XMLNode(java.lang.String newNodeName, java.lang.String newNodeValue)`
`XMLNode(java.lang.String newNodeName, java.lang.String newNodeValue, boolean newIsCDATA)`

Method Summary
`void` | `addAttribute(java.lang.String attrName, java.lang.String attrValue)` Añade un atributo en base a su nombre y valor
`void` | `addAttribute(XMLAttribute newAttr)` Añade un nuevo atributo
`void` | `addSubNode(XMLNode newSubNode)` Añade un subnodo al nodo actual
`XMLAttribute` | `getAttribute(java.lang.String attrName)` Devuelve un atributo por el nombre
`java.util.List` | `getAttributes()` Devuelve los atributos
`java.lang.String` | `getNodeName()`
`java.lang.String` | `getNodeValue()`
`XMLNode` | `getSubNode(java.lang.String nodeName)` Devuelve el subnodo
`java.util.List` | `getSubNodes()`
`boolean` | `isCDATA()`
`boolean` | `isEmpty()`
`XMLAttribute` | `removeAttribute(java.lang.String attrName)` Elimina un atributo del nodo actual
`XMLNode` | `removeSubNode(java.lang.String nodeName)` Elimina un subnodo
`void` | `setCDATA(boolean newIsCDATA)` Establece si es un elemento cdata
`void` | `setNodeName(java.lang.String inName)` Establece el nombre del nodo
`void` | `setNodeValue(java.lang.String newValue)` Establece el valor del nodo
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLNode

    public XMLNode()

  Creates new Node

### XMLNode

    public XMLNode(boolean newIsCDATA)

Parameters:
  `newIsCDATA` -

### XMLNode

    public XMLNode(java.lang.String newNodeName)

Parameters:
  `newNodeName` -

### XMLNode

    public XMLNode(java.lang.String newNodeName,
                   java.lang.String newNodeValue)

Parameters:
  `newNodeName` -
  `newNodeValue` -

### XMLNode

    public XMLNode(java.lang.String newNodeName,
                   boolean newIsCDATA)

Parameters:
  `newNodeName` -
  `newIsCDATA` -

### XMLNode

    public XMLNode(java.lang.String newNodeName,
                   java.lang.String newNodeValue,
                   boolean newIsCDATA)

Parameters:
  `newNodeName` -
  `newNodeValue` -
  `newIsCDATA` -

Method Detail

### getNodeName

    public java.lang.String getNodeName()

  Returns:
    el nombre del nodo

### setNodeName

    public void setNodeName(java.lang.String inName)

  Establece el nombre del nodo

  Parameters:
    `inName` - el nombre

### getNodeValue

    public java.lang.String getNodeValue()

  Returns:
    el valor del nodo

### setNodeValue

    public void setNodeValue(java.lang.String newValue)

  Establece el valor del nodo

  Parameters:
    `newValue` -

### isCDATA

    public boolean isCDATA()

  Returns:
    true si es un elemento cdata

### setCDATA

    public void setCDATA(boolean newIsCDATA)

  Establece si es un elemento cdata

  Parameters:
    `newIsCDATA` -

### getSubNodes

    public java.util.List getSubNodes()

  Returns:
    la lista de subnodos (elementos `XMLNode`

### getSubNode

    public XMLNode getSubNode(java.lang.String nodeName)

  Devuelve el subnodo

  Parameters:
    `nodeName` - nombre del subnodo a devolver
  Returns:
    el elemento `XMLNode`

### addSubNode

    public void addSubNode(XMLNode newSubNode)

  Añade un subnodo al nodo actual

  Parameters:
    `newSubNode` -

### removeSubNode

    public XMLNode removeSubNode(java.lang.String nodeName)

  Elimina un subnodo

  Parameters:
    `nodeName` -
  Returns:
    el elemento `XMLNode`

### getAttributes

    public java.util.List getAttributes()

  Devuelve los atributos

  Returns:
    la lista de atributos `XMLAttribute`

### getAttribute

    public XMLAttribute getAttribute(java.lang.String attrName)

  Devuelve un atributo por el nombre

  Parameters:
    `attrName` - el nombre del atributo
  Returns:
    el elemento `XMLAttribute`

### addAttribute

    public void addAttribute(XMLAttribute newAttr)

  Añade un nuevo atributo

  Parameters:
    `newAttr` - el objeto `XMLAttribute`

### addAttribute

    public void addAttribute(java.lang.String attrName,
                             java.lang.String attrValue)

  Añade un atributo en base a su nombre y valor

  Parameters:
    `attrName` -
    `attrValue` -

### removeAttribute

    public XMLAttribute removeAttribute(java.lang.String attrName)

  Elimina un atributo del nodo actual

  Parameters:
    `attrName` -
  Returns:
    el objeto `XMLAttribute`

### isEmpty

    public boolean isEmpty()

  Returns:
    true si el nodo está vacio

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD